Skip to main content

Set Manual Arrival Time

This endpoint allows you to set a manual arrival time for a shipment.

When a manual arrival time is set, the shipment may be marked as arrived at the specified time (applicable to certain arrival scenarios).

If manual arrival is applied, data collected until the set time will be used for analysis.

A manual arrival time can only be set if there is an existing shipment registered under the provided customerCode.

Request​


PATCH https://openapi.willog.io/ext/v1/box/transports/fetched-manual-arrival-time​

Request Body​

NameTypeRequiredDescription
customerCodeStringfalseCustomer code
transportCodeStringtrueShipment code
fetchedManualArrivalTimeUnix timestamp(ms)falseThe manual arrival time to be set

Example Request​

PATCH /ext/v1/box/transports/fetched-manual-arrival-time
Authorization: Bearer token
{
"customerCode": "customer1",
"transportCode": "5089229ca9f1",
"fetchedManualArrivalTime": 1738655274000
}

Response​


Response Body​

NameTypeNot-nullDescription
transportCodeStringtrueShipment code
departureTimeUnix timestamp(ms)falseDeparture time
fetchedManualArrivalTimeUnix timestamp(ms)falseSet manual arrival time

Example Response​

HTTP/1.1 200 OK

{
"transportCode": "5089229ca9f1",
"departureTime": 1738655274000,
"fetchedManualArrivalTime": 1738655274000
}

Error Responses​

- Unauthorized Access to Customer Data​

HTTP/1.1 400 Bad Request

{
"code": "A0016"
}

- Shipment Not Found by Transport Code​

HTTP/1.1 400 Bad Request

{
"code": "T0088"
}

- Invalid Shipment Status for Manual Arrival Time​

HTTP/1.1 400 Bad Request

{
"code": "T0086"
}

- Manual Arrival Time Set Before Departure Time​

HTTP/1.1 400 Bad Request

{
"code": "T0086"
}